with Windows.Application;
with Windows.Processes;
with Programs;

package body Test_Process is

   package Application renames Windows.Application;
   package Processes   renames Windows.Processes;

   procedure Initialize
   is
      Command_Line : constant String := "Test_Tests";

      -- Program : Programs.Program_Task_Type; -- Option 1
      Program   : Programs.Instance_Class := Programs.New_Instance; -- Option 2
      Exit_Code : Processes.Exit_Code_Type;
   begin
      Programs.Program_Task_Type (Program).Run (Command_Line => Command_Line);
      loop
         select
            Programs.Program_Task_Type (Program).Get_Exit_Code
              (Result => Exit_Code);
            exit;
         or
            delay 0.0001;
         end select;
      end loop;
   end Initialize;

   procedure Finalize is
   begin
      null;
   end Finalize;

begin
   Application.Initialize := Initialize'Access;
   Application.Finalize   := Finalize'Access;
end Test_Process;
