package Windows.Streams.Clones is

   Error : exception;

   -- ------------------------------------------------------------------------

   subtype Universal_Input_Type is Streams.Input_Type;
   subtype Universal_Output_Type is Streams.Output_Type;

   -- ------------------------------------------------------------------------

   type Input_Type  is limited private;
   type Output_Type is limited private;

   -- ------------------------------------------------------------------------

   No_Input  : constant Input_Type;
   No_Output : constant Output_Type;

private

   type Input_Type  is new Universal_Input_Type;
   type Output_Type is new Universal_Output_Type;

   -- ------------------------------------------------------------------------

   No_Input  : constant Input_Type  := (Handle => Null_Handle);
   No_Output : constant Output_Type := (Handle => Null_Handle);

end Windows.Streams.Clones;
