package body Windows.Widgets is

   Initial_Display_Status : Display_Mode_Type :=
     Show_As_Requested_By_Process_Caller;

   for Initial_Display_Status'Size use Small_Size;
   -- Explicitely recall it is 16 bits, although it is exported using
   -- the C convention.

   pragma Export
     (Convention    => C,
      Entity        => Initial_Display_Status,
      External_Name => "displaystatus");

   -- ------------------------------------------------------------------------

   function Startup_Display_Status return Display_Mode_Type
   is
   begin
      return Initial_Display_Status;
   end;

end Windows.Widgets;
