package Windows.Widgets is

   type Display_Mode_Type is
     (Hide_Normal,
      Show_As_For_The_First_Time,
      Minimize_With_Focus,
      Maximize,
      Show_As_For_The_First_Time_Without_Focus,
      Show_Normal,
      Minimize_And_Show_Next_In_Z_Order,
      Minimize,
      Show_Without_Focus,
      Restore,
      Show_As_Requested_By_Process_Caller,
      Force_Minimize);

   -- ------------------------------------------------------------------------

   function Startup_Display_Status return Display_Mode_Type;

   -- ------------------------------------------------------------------------

   for Display_Mode_Type use
     (Hide_Normal                              => 16#00000000#,
      Show_As_For_The_First_Time               => 16#00000001#,
      Minimize_With_Focus                      => 16#00000002#,
      Maximize                                 => 16#00000003#,
      Show_As_For_The_First_Time_Without_Focus => 16#00000004#,
      Show_Normal                              => 16#00000005#,
      Minimize_And_Show_Next_In_Z_Order        => 16#00000006#,
      Minimize                                 => 16#00000007#,
      Show_Without_Focus                       => 16#00000008#,
      Restore                                  => 16#00000009#,
      Show_As_Requested_By_Process_Caller      => 16#0000000A#,
      Force_Minimize                           => 16#0000000B#);

   for Display_Mode_Type'Size use 16;

   pragma Convention (Convention => C, Entity => Display_Mode_Type);

   pragma Warnings (On);

end Windows.Widgets;
