
package Windows.Threads is

   pragma Elaborate_Body;

   Error : exception;

   -- ------------------------------------------------------------------------

   type Thread_Type is private;
   function No_Thread return Thread_Type;

   type Thread_Identifier_Type is private;

   function No_Thread return Thread_Identifier_Type;

private

   pragma Inline (No_Thread);

   type Thread_Type is new Handle_Type;

   Null_Thread_Handle : constant Thread_Type := Thread_Type (Null_Handle);

   type Thread_Identifier_Type is new Identifier_Type;

   Null_Thread_Identifier : constant Thread_Identifier_Type :=
     (Thread_Identifier_Type (Null_Identifier));

end Windows.Threads;
